#pragma once
#include "SkinnableButton.h"

// resizes its parent window when dragged
class ResizingButton :
	public SkinnableButton
{
public:
	ResizingButton(void);
	~ResizingButton(void);
	virtual void OnMouseMove();
	virtual void OnLButtonDown();
	virtual int OnSetCursor();

private:
	POINT InitialPos;
	HCURSOR resizecursor;
};
